API referenceLibrary
List Assets
The project's assets, most recently changed first. Filters: q, tags, type, category, recipe_id. Requires the read scope.
Authorization
apiKey AuthorizationBearer <token>
First-party API key (sbk_live_…), presented as a Bearer token.
In: header
Path Parameters
project_id*Project Id
Format
uuidQuery Parameters
q?|
Name search.
type?string|null
category?string|null
theme_id?|null
design_id?|null
recipe_id?|null
limit?Limit
Items per page
Range
1 <= value <= 100Default
20cursor?|
The next_cursor of the previous page; omit for the first page.
Response Body
application/json
application/problem+json
curl -X GET "https://example.com/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/assets"{ "items": [ { "name": "string", "description": "string", "tags": [], "metadata": {}, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "slug": "string", "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9", "thumbnail_url": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "type": "string", "category": "string", "files": {}, "attachment": { "media_type": "image/png", "sha256": "a1abfd410973b0111c215baa879b9edcd739e601659ba44168269767cc2e9108", "uri": "https://assets.example.invalid/noise-mask.png" }, "format": "string", "resolution": [ 0 ], "shader_name": "string", "shader_parameters": {}, "texture_refs": [ { "semantic": "string", "file": "string", "asset": { "kind": "recipe", "slug": "rcp_4p8q1r5t7g3k9x2m", "uuid": "0199a1c0-0000-7000-8000-000000000013" }, "resolution": [ 0 ] } ], "meshes": [ { "slot": 0, "name": "string", "file": "string", "material": "string", "material_asset": { "kind": "recipe", "slug": "rcp_4p8q1r5t7g3k9x2m", "uuid": "0199a1c0-0000-7000-8000-000000000013" }, "metadata": {} } ], "materials": [ {} ], "textures": [ {} ], "stored_files": [] } ], "next_cursor": "string", "total": 0}